<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Synopsis/Formatters/HTML/FrameSet.py.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/Formatters/HTML/FrameSet.py</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../../../../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Synopsis/Formatters/HTML/FrameSet.py</b><pre class="sxr"><a id="line1"></a><span class="lineno"> 1</span><span class="line"><span class="py-comment">#</span></span>
<a id="line2"></a><span class="lineno"> 2</span><span class="line"><span class="py-comment"># Copyright (C) 2006 Stefan Seefeld</span></span>
<a id="line3"></a><span class="lineno"> 3</span><span class="line"><span class="py-comment"># All rights reserved.</span></span>
<a id="line4"></a><span class="lineno"> 4</span><span class="line"><span class="py-comment"># Licensed to the public under the terms of the GNU LGPL (&gt;= 2),</span></span>
<a id="line5"></a><span class="lineno"> 5</span><span class="line"><span class="py-comment"># see the file COPYING for details.</span></span>
<a id="line6"></a><span class="lineno"> 6</span><span class="line"><span class="py-comment">#</span></span>
<a id="line7"></a><span class="lineno"> 7</span>
<a id="line8"></a><span class="lineno"> 8</span><span class="line"><span class="py-keyword">from</span> Synopsis.Formatters.HTML.DirectoryLayout <span class="py-keyword">import</span> open_file</span>
<a id="line9"></a><span class="lineno"> 9</span><span class="line"><span class="py-keyword">from</span> Synopsis.Formatters.HTML.Tags <span class="py-keyword">import</span> *</span>
<a id="line10"></a><span class="lineno">10</span><span class="line"><span class="py-keyword">import</span> os</span>
<a id="line11"></a><span class="lineno">11</span>
<a id="line12"></a><span class="lineno">12</span><span class="line"><span class="py-keyword">class</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/FrameSet/FrameSet.html">FrameSet</a>:</span>
<a id="line13"></a><span class="lineno">13</span><span class="line">    <span class="py-string">&quot;&quot;&quot;A class that creates an index with frames&quot;&quot;&quot;</span></span>
<a id="line14"></a><span class="lineno">14</span>
<a id="line15"></a><span class="lineno">15</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../Scopes/Synopsis/Formatters/HTML/FrameSet/FrameSet.html#process">process</a>(self, output, filename, title, index, detail, content):</span>
<a id="line16"></a><span class="lineno">16</span><span class="line">        <span class="py-string">&quot;&quot;&quot;Creates a frames index file.&quot;&quot;&quot;</span></span>
<a id="line17"></a><span class="lineno">17</span>
<a id="line18"></a><span class="lineno">18</span><span class="line">        out = open_file(os.path.join(output, filename))</span>
<a id="line19"></a><span class="lineno">19</span><span class="line">        out.write(<span class="py-string">'&lt;?xml version=&quot;1.0&quot;?&gt;\n'</span>)</span>
<a id="line20"></a><span class="lineno">20</span><span class="line">        out.write(<span class="py-string">'&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Frameset//EN&quot;\n'</span>)</span>
<a id="line21"></a><span class="lineno">21</span><span class="line">        out.write(<span class="py-string">'    &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd&quot;&gt;\n'</span>)</span>
<a id="line22"></a><span class="lineno">22</span><span class="line">        out.write(<span class="py-string">'&lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot; lang=&quot;en&quot;&gt;\n'</span>)</span>
<a id="line23"></a><span class="lineno">23</span><span class="line">        out.write(<span class="py-string">'&lt;head&gt;\n'</span>)</span>
<a id="line24"></a><span class="lineno">24</span><span class="line">        out.write(<span class="py-string">'&lt;meta content=&quot;text/html; charset=iso-8859-1&quot; http-equiv=&quot;Content-Type&quot;/&gt;\n'</span>)</span>
<a id="line25"></a><span class="lineno">25</span><span class="line">        out.write(element(<span class="py-string">'title'</span>,title) + <span class="py-string">'\n'</span>)</span>
<a id="line26"></a><span class="lineno">26</span><span class="line">        out.write(element(<span class="py-string">'link'</span>, type=<span class="py-string">'text/css'</span>, rel=<span class="py-string">'stylesheet'</span>, href=<span class="py-string">'style.css'</span>) + <span class="py-string">'\n'</span>)</span>
<a id="line27"></a><span class="lineno">27</span><span class="line">        out.write(<span class="py-string">'&lt;/head&gt;\n'</span>)</span>
<a id="line28"></a><span class="lineno">28</span>
<a id="line29"></a><span class="lineno">29</span><span class="line">        index = rel(filename, index)</span>
<a id="line30"></a><span class="lineno">30</span><span class="line">        detail = rel(filename, detail)</span>
<a id="line31"></a><span class="lineno">31</span><span class="line">        content = rel(filename, content)</span>
<a id="line32"></a><span class="lineno">32</span><span class="line">        frame1 = element(<span class="py-string">'frame'</span>, name=<span class="py-string">'index'</span>, src=index)</span>
<a id="line33"></a><span class="lineno">33</span><span class="line">        frame2 = element(<span class="py-string">'frame'</span>, name=<span class="py-string">'detail'</span>, src=detail)</span>
<a id="line34"></a><span class="lineno">34</span><span class="line">        frame3 = element(<span class="py-string">'frame'</span>, name=<span class="py-string">'content'</span>, src=content)</span>
<a id="line35"></a><span class="lineno">35</span><span class="line">        frameset = element(<span class="py-string">'frameset'</span>, <span class="py-string">'%s\n%s\n'</span>%(frame1, frame2), rows=<span class="py-string">&quot;30%,*&quot;</span>)</span>
<a id="line36"></a><span class="lineno">36</span><span class="line">        noframes = <span class="py-string">'This document was configured to use frames.\n'</span></span>
<a id="line37"></a><span class="lineno">37</span><span class="line">        noframes += <span class="py-string">'&lt;ul&gt;\n'</span></span>
<a id="line38"></a><span class="lineno">38</span><span class="line">        noframes += element(<span class="py-string">'li'</span>, href(index, <span class="py-string">'The default Index frame'</span>)) + <span class="py-string">'\n'</span></span>
<a id="line39"></a><span class="lineno">39</span><span class="line">        noframes += element(<span class="py-string">'li'</span>, href(detail, <span class="py-string">'The default Detail frame'</span>)) + <span class="py-string">'\n'</span></span>
<a id="line40"></a><span class="lineno">40</span><span class="line">        noframes += element(<span class="py-string">'li'</span>, href(content, <span class="py-string">'The default Content frame'</span>)) + <span class="py-string">'\n'</span></span>
<a id="line41"></a><span class="lineno">41</span><span class="line">        noframes += <span class="py-string">'&lt;/ul&gt;\n'</span></span>
<a id="line42"></a><span class="lineno">42</span><span class="line">        noframes = element(<span class="py-string">'body'</span>, noframes + <span class="py-string">'Generated by Synopsis.'</span>) + <span class="py-string">'\n'</span></span>
<a id="line43"></a><span class="lineno">43</span><span class="line">        noframes = element(<span class="py-string">'noframes'</span>, noframes)</span>
<a id="line44"></a><span class="lineno">44</span><span class="line">        frameset = element(<span class="py-string">'frameset'</span>, <span class="py-string">'%s\n%s\n%s\n'</span>%(frameset, frame3, noframes), cols=<span class="py-string">&quot;200,*&quot;</span>)</span>
<a id="line45"></a><span class="lineno">45</span><span class="line">        out.write(frameset)</span>
<a id="line46"></a><span class="lineno">46</span><span class="line">        out.write(<span class="py-string">'\n&lt;/html&gt;\n'</span>)</span>
<a id="line47"></a><span class="lineno">47</span><span class="line">        out.close()</span>
<a id="line48"></a><span class="lineno">48</span>
</pre>
<div class="logo">Generated on Thu Apr 16 16:27:14 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
